Name: H5Tset_norm
Signature:
  herr_t `H5Tset_norm`(hid_t `type_id`, H5T_norm_t `norm` )
Purpose:
  Sets the mantissa normalization of a floating-point datatype.
Description:
  `H5Tset_norm` sets the mantissa normalization of a floating-point datatype. Valid normalization types are:
  H5T_NORM_IMPLIED (`0`)
    MSB of mantissa is not stored, always 1
  H5T_NORM_MSBSET (`1`)
    MSB of mantissa is always 1
  H5T_NORM_NONE (`2`)
    Mantissa is not normalized
Parameters:

hid_t `type_id` | Identifier of datatype to set.
H5T_norm_t `norm` | Mantissa normalization type.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tset_norm_f

      SUBROUTINE h5tset_norm_f(type_id, norm, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id
                                        ! Datatype identifier
        INTEGER, INTENT(IN) :: norm     ! Mantissa normalization of a
                                        ! floating-point datatype
                                        ! Valid normalization types are:
                                        !    H5T_NORM_IMPLIED_F(0)
                                        !       MSB of mantissa is not stored,
                                        !       always 1
                                        !    H5T_NORM_MSBSET_F(1)
                                        !       MSB of mantissa is always 1
                                        !    H5T_NORM_NONE_F(2)
                                        !       Mantissa is not normalized
        INTEGER, INTENT(OUT) :: hdferr  ! Error code
      END SUBROUTINE h5tset_norm_f